Subject: Re: [PATCH iproute2 0/5] Eliminate the term slave in iproute2

From: Stephen Hemminger <[email-masked]>
Date: Wed, 24 Jun 2020 08:21:37 -0700

On Wed, 24 Jun 2020 11:51:42 +0200
Michal Kubecek <[email-masked]> wrote:

> On Tue, Jun 23, 2020 at 04:53:02PM -0700, Stephen Hemminger wrote:
> > These patches remove the term slave from the iproute2 visible
> > command line, documentation, and variable naming.
> > 
> > This needs doing despite the fact it will cause cosmetic
> > changes to visible outputs.  
> 
> AFAICS, your patches don't only change output of the command, they also
> change command line parsing so that they break backward compatibility
> and break existing scripts and tools. This is a very bad idea.
> 
> If you really want to go through this exercise - and I don't agree with
> the "needs doing" claim - you definitely should preserve existing
> keywords as aliases.
> 
> Michal

Sure the old keywords could be silent aliases for new ones.